# Visualization
TKService
Xw

# Xw_PixMap Class Reference

This class defines a X11 pixmap
.

`#include <Xw_PixMap.hxx>`

Inheritance diagram for Xw_PixMap:

[legend]

## Public Member Functions

Standard_EXPORT | Xw_PixMap (const Handle(Aspect_Window)&aWindow, const Standard_Integer aWidth, const Standard_Integer anHeight, const Standard_Integer aDepth=0)
| Warning! When <adepth> is NULL , the pixmap is created with the SAME depth than the window <awindow> .
virtual Standard_EXPORT void | Destroy ()
| Destroies the Pixmap Trigger: Raises if Pixmap is not defined properly .
virtual Standard_EXPORT Standard_Boolean | Dump (const Standard_CString aFilename, const Standard_Real aGammaValue=1.0) const
| Dumps the Pixmap to an XWD,GIF or BMP file with an optional gamma correction value according to the graphic system .
virtual Standard_EXPORT Aspect_Handle | PixmapID () const
| Returns the ID of the just created pixmap .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Aspect_Handle | myPixmap

## Private Member Functions

Standard_EXPORT Standard_Integer | PreferedDepth (const Handle(Aspect_Window)&aWindow, const Standard_Integer aDepth) const

## Private Attributes

Handle_Xw_Window | myWindow

## Constructor & Destructor Documentation

Standard_EXPORT Xw_PixMap::Xw_PixMap | ( | const Handle(Aspect_Window)& | aWindow,
|  | const Standard_Integer | aWidth,
|  | const Standard_Integer | anHeight,
|  | const Standard_Integer | aDepth = `0`
| ) |

## Member Function Documentation

virtual Standard_EXPORT void Xw_PixMap::Destroy | ( |  | ) | `[virtual]`

| Implements Aspect_PixMap.

virtual Standard_EXPORT Standard_Boolean Xw_PixMap::Dump | ( | const Standard_CString | aFilename,
|  | const Standard_Real | aGammaValue = `1.0`
| ) | const`[virtual]`

| Implements Aspect_PixMap.

Standard_EXPORT const Xw_PixMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_PixMap.

virtual Standard_EXPORT Aspect_Handle Xw_PixMap::PixmapID | ( |  | ) | const`[virtual]`

| Implements Aspect_PixMap.

Standard_EXPORT Standard_Integer Xw_PixMap::PreferedDepth | ( | const Handle(Aspect_Window)& | aWindow,
|  | const Standard_Integer | aDepth
| ) | const`[private]`

## Field Documentation

Aspect_Handle Xw_PixMap::myPixmap `[protected]`

Handle_Xw_Window Xw_PixMap::myWindow `[private]`

The documentation for this class was generated from the following file:

- Xw_PixMap.hxx